
Redmine - Defect #32889

Responsive layout for issue tree and issue relation on issue page is broken

2020-01-26 21:45 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 4.1.1   

Resolution: Fixed Affected version: 4.1.0

Description

Unified fields of subtasks and related issues added by #25540 broke the responsive layout added in #21775.

Actual layout:

 relations.png 

Related issues:

Related to Redmine - Feature #25540: Unify fields of subtasks and related iss... Closed

Related to Redmine - Defect #21775: Field "Done" from issue subtasks table ov... Closed

Associated revisions

Revision 19658 - 2020-04-05 11:51 - Jean-Philippe Lang

Move style to css (#32889).

Patch by Marius BALTEANU.

Revision 19659 - 2020-04-05 11:52 - Jean-Philippe Lang

Split subtasks/relations information into 5 columns (#32889).

Patch by Marius BALTEANU.

Revision 19666 - 2020-04-05 13:22 - Jean-Philippe Lang

Merged r19658 and r19659 to 4.1-stable (#32889).

History

#1 - 2020-01-26 21:48 - Marius BĂLTEANU

- File relations.png added

- Description updated

#2 - 2020-01-26 21:48 - Marius BĂLTEANU

- Related to Feature #25540: Unify fields of subtasks and related issues on issue page added

#3 - 2020-01-26 21:49 - Marius BĂLTEANU

- Related to Defect #21775: Field "Done" from issue subtasks table overlaps the layout in responsive mode, width 400 added

#4 - 2020-01-26 21:49 - Marius BĂLTEANU

- Subject changed from Responsive layout for issue tree and issue relation is broken to Responsive layout for issue tree and issue relation on issue

page is broken

#5 - 2020-01-26 21:59 - Marius BĂLTEANU

- File move_style_from_view_to_css.patch added

Until we decide how the fix should look, I'm attaching a patch that moves the hardcoded width: 50% style from view files to application.css and

changes some properties in responsive.css in order to drop the !important rule.

#6 - 2020-01-27 00:28 - Go MAEDA
- Target version set to 4.1.1

Setting the target version to 4.1.1.

#7 - 2020-02-09 16:37 - Marius BĂLTEANU

- File 5_columns.png added

- File 3_columns.png added

- File 0001-Split-on-5-columns.patch added

We can revert the old behaviour by hiding the start date and due date or we can show all other columns on 5 columns layout instead of 3.

Old layout with 3 columns and start date and due date hide:

 3_columns.png 

5 columns layout:

 5_columns.png 

Regardless the option, I think we should show the Assignee column before Start date.

For now, I'm attaching the patch with 5 columns layout.

#8 - 2020-04-05 11:53 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

#9 - 2020-04-05 13:22 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

relations.png 84.6 KB 2020-01-26 Marius BĂLTEANU

move_style_from_view_to_css.patch 2.82 KB 2020-01-26 Marius BĂLTEANU

3_columns.png 60.7 KB 2020-02-09 Marius BĂLTEANU

5_columns.png 78.5 KB 2020-02-09 Marius BĂLTEANU

0001-Split-on-5-columns.patch 2.45 KB 2020-02-09 Marius BĂLTEANU
